Hot News aus dem CAD.de-Newsletter:

Mit Unterstützung durch:

  Foren auf CAD.de (alle Foren)
  AutoCAD ObjectARX und .NET
  mText mit BackgroundFill

Antwort erstellen  Neues Thema erstellen
CAD.de Login | Logout | Profil | Profil bearbeiten | Registrieren | Voreinstellungen | Hilfe | Suchen

Anzeige:

Darstellung des Themas zum Ausdrucken. Bitte dann die Druckfunktion des Browsers verwenden. | Suche nach Beiträgen nächster neuer Beitrag | nächster älterer Beitrag
Autor Thema:   mText mit BackgroundFill (93 mal gelesen)
Singo77
Mitglied


Sehen Sie sich das Profil von Singo77 an!   Senden Sie eine Private Message an Singo77  Schreiben Sie einen Gästebucheintrag für Singo77

Beiträge: 1
Registriert: 20.03.2017

Autocad 2016 64bit, Visual Studio 2013

erstellt am: 20. Mrz. 2017 16:51    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities

Hallo,

ich habe beschäftige mich erst seit kurzen mit der Autocad (2016) Programmierung und habe ein Problem mit dem erzeugen es farbigen Hintergrundes zu einem mText und habe nach inensiver Recherche werde hier noch im Netz etwas gefunden.

Ich erzeuge erfolgreich (nach speichern in der DWG sichtbar) einen Mtext und schalte den Hintergrund ein

  Dim mText As Autodesk.AutoCAD.Interop.Common.AcadMText
  ...
  mText = poAcApp.ActiveDocument.ModelSpace.AddMText(mPoint, 0, sText)
  ...
  mText.BackgroundFill = True

Wie kann ich den Randversatz und die Farbe der Füllung verändern, anscheinend werden Standardeinstellungen (Randversatz 1.5 und Farbe des Zeichnungshintergrunds) verwendet.

Für Tips wäre ich dankbar, Ingo.

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

Ingenieur Studio HOLLAUS
Mitglied
CAD / CAFM / GIS Beratung-Programmierung-Schulung


Sehen Sie sich das Profil von Ingenieur Studio HOLLAUS an!   Senden Sie eine Private Message an Ingenieur Studio HOLLAUS  Schreiben Sie einen Gästebucheintrag für Ingenieur Studio HOLLAUS

Beiträge: 947
Registriert: 06.11.2008

erstellt am: 21. Mrz. 2017 00:01    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für Singo77 10 Unities + Antwort hilfreich

probier mal .BackgroundScaleFactor

------------------


www.cars4fun.at

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

cadffm
Ehrenmitglied V.I.P. h.c.
良い精神



Sehen Sie sich das Profil von cadffm an!   Senden Sie eine Private Message an cadffm  Schreiben Sie einen Gästebucheintrag für cadffm

Beiträge: 17420
Registriert: 14.06.2002

System: F1
und Google

erstellt am: 21. Mrz. 2017 00:11    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für Singo77 10 Unities + Antwort hilfreich

Du kannst dir doch von jedem Objekt die Eigenschaften ansehen


Ich verlinke mal einen Thread aus dem Forum, als "dumme" Hilfe
http://forum.cad.de/foren/ubb/Forum352/HTML/000733.shtml

Und hier ein Weg für vorhandene Objekte, wie man sehr viele Fragen dieser Art sich selbst beantworten kann.
So könnte man auch zwei Objekte mit ähnlichen Eigenschaften "vergleichen"
http://spiderinnet1.typepad.com/blog/2012/01/using-c-to-print-out-properties-of-autocad-net-dbobject-or-entity.html

Das liefert nicht bei allen Dingen die gesuchte Antwort, denn nicht alles ist eine Objekteigenschaft.
Für den konkreten Fall aber schon.

------------------
CAD on demand GmbH - Beratung und Programmierung rund um AutoCAD

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

Anzeige.:

Anzeige: (Infos zum Werbeplatz >>)

Darstellung des Themas zum Ausdrucken. Bitte dann die Druckfunktion des Browsers verwenden. | Suche nach Beiträgen

nächster neuerer Beitrag | nächster älterer Beitrag
Antwort erstellen


Diesen Beitrag mit Lesezeichen versehen ... | Nach anderen Beiträgen suchen | CAD.de-Newsletter

Administrative Optionen: Beitrag schliessen | Archivieren/Bewegen | Beitrag melden!

Fragen und Anregungen: Kritik-Forum | Neues aus der Community: Community-Forum

(c)2017 CAD.de